%define module	Apache-Filter
%define version	1.022
%define release	2mdk

Summary:	%{module} module for perl
Name:		perl-%{module}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org
BuildRoot:	%{_tmppath}/%{name}-buildroot/
Requires:	perl apache-mod_perl
BuildRequires:	apache-mod_perl perl-devel
BuildArch:	noarch

%description
%{module} module for perl : Alter the output of previous handlers.

%prep
%setup -q -n %{module}-%{version}

%build
APACHE=%{_sbindir}/httpd-perl perl Makefile.PL INSTALLDIRS=vendor <<EOF


EOF
make

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%files
%defattr(-,root,root)
%doc README Changes
%{_mandir}/*/*
%{perl_vendorlib}/Apache

%changelog
* Tue Aug 12 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.022-2mdk
- rebuild for new perl
- drop Prefix tag
- don't use PREFIX
- use %%makeinstall_std macro
- drop $RPM_OPT_FLAGS, noarch..

* Thu Feb 13 2003 Franois Pons <fpons@mandrakesoft.com> 1.022-1mdk
- 1.022.

* Tue Jan 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.021-2mdk
- try to have a little better description

* Tue Jan 28 2003 Franois Pons <fpons@mandrakesoft.com> 1.021-1mdk
- 1.021.

* Thu Nov 28 2002 Franois Pons <fpons@mandrakesoft.com> 1.020-1mdk
- cleaned build process and %%files.
- 1.020.

* Mon Nov 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.019-4mdk
- Perl libdir really remains to <prefix>/lib/perl5/*

* Sat Aug 10 2002 Stefan van der Eijk <stefan@eijk.nu> 1.019-3mdk
- fix build on non ix86
- fix man installation

* Tue Jul 09 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.019-2mdk
- rebuild with new perl 5.8.0.

* Thu Nov 08 2001 Franois Pons <fpons@mandrakesoft.com> 1.019-1mdk
- 1.019.

* Tue Oct 16 2001 Stefan van der Eijk <stefan@eijk.nu> 1.018-2mdk
- BuildRequires: perl-devel

* Fri Aug 31 2001 Franois Pons <fpons@mandrakesoft.com> 1.018-1mdk
- 1.018.
- removed filelist, now use globing directly and macros.
- updated license.

* Sun Jun 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.011-5mdk
- Rebuild this against perl 5.6.1.
- Remove Vendor and Distribution tag.

* Tue Mar 13 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 1.011-4mdk
- BuildArch: noarch
- add docs
- rename spec file
- clean spec a bit

* Sat Sep 16 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 1.011-3mdk
- removed .packlist and .bs files from filelist

* Wed Aug 09 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.011-2mdk
- added BuildRequires apache-mod_perl

* Tue Jul 18 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.011-1mdk
- 1.011
- Macroize package

* Tue Feb 29 2000 Jean-Michel Dault <jmdault@netrevolution.com> 1.006-1mdk
- updated to 1.006

* Wed Jan 19 2000 Jean-Michel Dault <jmdault@netrevolution.com>
- updated to 1.005

* Sun Aug 29 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- bzip2'd sources

* Tue May 11 1999 root <root@alien.devel.redhat.com>
- Spec file was autogenerated. 
